Ntifs (JNA API)

com.sun.jna.platform.win32

## Interface Ntifs

- All Superinterfaces:
    BaseTSD, WinDef

      public interface Ntifs
      extends WinDef, BaseTSD

  Ported from Ntifs.h Microsoft Windows WDK 10
  Author:
    amarcionek[at]gmail.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Ntifs.GenericReparseBuffer`
    `static class` | `Ntifs.MountPointReparseBuffer`
    `static class` | `Ntifs.REPARSE_DATA_BUFFER` The REPARSE_DATA_BUFFER structure contains reparse point data for a Microsoft reparse point.
    `static class` | `Ntifs.SymbolicLinkReparseBuffer`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

      `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.BaseTSD

      `BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAXIMUM_REPARSE_DATA_BUFFER_SIZE`
    `static int` | `REPARSE_BUFFER_HEADER_SIZE`
    `static int` | `SYMLINK_FLAG_RELATIVE`

    - ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

      `MAX_PATH`

- - ### Field Detail

    - #### MAXIMUM_REPARSE_DATA_BUFFER_SIZE

          static final int MAXIMUM_REPARSE_DATA_BUFFER_SIZE

      See Also:
        Constant Field Values

    - #### REPARSE_BUFFER_HEADER_SIZE

          static final int REPARSE_BUFFER_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### SYMLINK_FLAG_RELATIVE

          static final int SYMLINK_FLAG_RELATIVE

      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.